Subject: RE: [Sipping] Associating SIP sessions with PSTN calls

From: Alan Johnston <[email-masked]>
Date: Wed, 18 Sep 2002 13:58:34 -0500

Michael,

Tom is right - ENUM is the right solution to this.  Here is how it could work:

If the PSTN number is dialed in the PSTN, it routes as normally and rings 
the user's PSTN phone, which is what you want.

If the PSTN number is dialed in a SIP network which does not query ENUM, 
the call will be routed to a PSTN gateway and ring the user's PSTN phone, 
which again is a success.

If the PSTN number is dialed in a SIP network that does query ENUM, it 
returns a SIP URI for the endpoint.  An INVITE is then sent to the proxy in 
the domain of the SIP URI, which presumably is the service provider for the 
user.  The proxy knows that this user wishes to receive calls on their PSTN 
phone (for some reason), so it routes the call to a PSTN gateway and rings 
the user's phone.

Any SIP requests which are for other media sessions or any other purpose 
are routed using ENUM to the proxy, which forwards them to the SIP User 
Agent, which establishes the associated session you are after (whatever 
that is).

You are right, however, in noting that this sort of use is not described in 
any of the ENUM documents - they mainly describe a whole set of 
questionable uses for ENUM that simply don't work.  I would encourage you 
to bring this up on the ENUM list, as this is exactly what ENUM was 
designed to do.

Thanks,
Alan Johnston
sip:[email-masked]

At 07:16 PM 9/18/2002 +0100, Michael O'Doherty wrote:

>Tom,
>
>The first option in the draft below looks at ENUM.
>
>The main problem is if the user wants to use their PSTN phone for voice 
>calls (even from SIP phones) and their SIP device for other media sessions 
>(like PSTN associated sessions).
>
>How do we indicate with an ENUM response that voice calls should go to the 
>PSTN number and other media/mixed media calls to a SIP device (one 
>suggestion here was that if ENUM returns a tel URL as one of the options 
>for routing then that option MUST be used if the call is a voice call) ?
>
>We couldn't see any nice clean way to do this with ENUM as it stands today 
>- option 4 in the draft (using a well know domain to do the CLI lookup) 
>just seemed to be less messy and more obvious.
>
>Comments ?
>
>Cheers,
>
>Mick.
>
>
>-----Original Message-----
>From: [email-masked] 
>[<mailto:[email-masked]>mailto:[email-masked]]
>Sent: 18 September 2002 18:35
>To: O'Doherty, Michael [MDN05:MD01:EXCH]
>Cc: [email-masked]'
>Subject: Re: [Sipping] Associating SIP sessions with PSTN calls
>
>
>
>Why can't the answer to this be ENUM?
>
>
>
>
>
>"Michael O'Doherty" <[email-masked]>@ietf.org on 09/18/2002
>11:43:55 AM
>
>Sent by:  [email-masked]
>
>To:   "[email-masked]'" <[email-masked]>
>cc:
>Subject:  [Sipping] Associating SIP sessions with PSTN calls
>
>
>
>Hi,
>
>The draft below describes a number of schemes to allow a SIP session be
>associated with a PSTN call, plus the authors choice of the best approach
>from the options briefly described.
>
>We'd be interested to see if anyone has any comments, in particular if
>there are any options we missed.
>
>Additionally, looking at this problem domain threw up a more general
>requirement also:
>
>  - the ability to route a SIP request differently depending on the media
>service that the request is requesting
>
>Do people feel this is a valid requirement in a  SIP networks and if so has
>anybody any thoughts on how it might be addressed ?
>
>Cheers,
>
>Mick.
>
>The draft can be retrieved form the link below until it shows up in the
>archives:
>
><http://ties.itu.int/~watsonm/draft-odoherty-sipping-pstn-number-association-01.txt>http://ties.itu.int/~watsonm/draft-odoherty-sipping-pstn-number-association-01.txt 
>
>
>
>

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: Richard Shockey <[email-masked]>
Date: Thu, 19 Sep 2002 13:28:49 -0400

At 01:58 PM 9/18/2002 -0500, Alan Johnston wrote:
>returns a SIP URI for the endpoint.  An INVITE is then sent to the proxy 
>in the domain of the SIP URI, which presumably is the service provider for 
>the user.  The proxy knows that this user wishes to receive calls on their 
>PSTN phone (for some reason), so it routes the call to a PSTN gateway and 
>rings the user's phone.
>
>You are right, however, in noting that this sort of use is not described 
>in any of the ENUM documents - they mainly describe a whole set of 

Yes please  .. as your friendly neighborhood ENUM WG -co chair I encourage 
this.

I will cross post the document to my list ASAP.

We've been over a lot of this ground already.

>>calls (even from SIP phones) and their SIP device for other media 
>>sessions (like PSTN associated sessions).
>>
>>How do we indicate with an ENUM response that voice calls should go to 
>>the PSTN number and other media/mixed media calls to a SIP device (one 
>>We couldn't see any nice clean way to do this with ENUM as it stands 
>>today - option 4 in the draft (using a well know domain to do the CLI 
>>lookup) just seemed to be less messy and more obvious.
>>
>>Comments ?
>>
>>Cheers,
>>
>>Mick.
>>
>>

Richard Shockey, Senior Manager, Strategic Technology Initiatives
NeuStar Inc.
46000 Center Oak Plaza   Bldg 10    Sterling, VA  20166
Voice +1 571.434.5651 Cell : +1 314.503.0640,  Fax: +1 815.333.1237
<mailto:[email-masked]> or <mailto:[email-masked]>
<http://shockey.us > ; <http://www.neustar.biz> ; <http://www.enum.org>
<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<